TYPOS3.Flow - Bug # 34050

Status: Resolved Priority: Must have

Author: Kira Backes Category: 118n

Created: 2012-02-17 Assigned To: Karsten Dambekalns
Updated: 2012-06-26 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: FLOW3 1.0.0

Subject: DatetimeParser code documentation is wrong

Description

The public methods expect a DateTime object, which they then forward as a string to the internal methods, which then break when
using substr on a DateTime object.

Associated revisions

Revision 3cafccf6 - 2012-03-28 19:45 - Bastian Waidelich

[BUGFIX] DateTimeValidator throws exception when validating DateTime objects

The DateTimeValidator tries to parse DateTime objects
with the L18n DatesParser which throws an exception.

This change fixes this by checking if the specified value
is an instance of DateTime first.

Change-Id: lefa37bf90dca7b8393b830436278fe32e71c03e8

Related: #34050

Revision 7024268c - 2012-06-25 22:11 - Karsten Dambekalns

[BUGFIX] Fix code documentation of DatetimeParser

The parser code documentation would state the parse methods
expect \DateTime instances, but in fact strings are expected.

Change-Id: Ice12929ada2562919da29e3d10a712d45a7021a6

Fixes: #34050

Releases: 1.0, 1.1, 1.2

Revision b51a56b7 - 2012-06-26 12:09 - Karsten Dambekalns

[BUGFIX] Fix code documentation of DatetimeParser

The parser code documentation would state the parse methods
expect \DateTime instances, but in fact strings are expected.

Change-Id: Ice12929ada2562919da29e3d10a712d45a7021a6
Fixes: #34050

Releases: 1.0, 1.1,1.2

Revision 6af6a7f9 - 2012-06-26 12:16 - Karsten Dambekalns

[BUGFIX] Fix code documentation of DatetimeParser

The parser code documentation would state the parse methods
expect \DateTime instances, but in fact strings are expected.

Change-Id: Ice12929ada2562919da29e3d10a712d45a7021a6

Fixes: #34050
Releases: 1.0, 1.1, 1.2

History

#1 - 2012-02-20 10:35 - Kira Backes

This also causes the DateTimeValidator to not work

#2 - 2012-03-07 16:45 - Karsten Dambekalns
- Category set to 118n

- Status changed from New to Accepted

- Assigned To set to Karsten Dambekalns

- Target version setto 1.1

#3 - 2012-03-28 19:46 - Bastian Waidelich

Please check, if https://review.typo3.org/#/c/10070/ already fixes this for you

#4 - 2012-05-25 09:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#5 - 2012-06-25 22:09 - Karsten Dambekalns

- Subject changed from DatetimeParser does not work to DatetimeParser code documentation is wrong
- Affected Flow version changed from Git master to FLOW3 1.0.0

The code behaves correctly, but the code documentation is wrong - the parser expects strings to parse, in all methods.

#6 - 2012-06-25 22:11 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12364

#7 - 2012-06-26 12:09 - Gerrit Code Review
https://review.typo3.org/#/c/10070/
http://review.typo3.org/12364

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.

It is available at http://review.typo3.org/12373

#8 - 2012-06-26 12:16 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.

It is available at http://review.typo3.org/12374

#9 - 2012-06-26 12:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7024268cd8cd45394aa764ba9f45a759f0629b2d.
